Bug 691071 - Preupgrade failure: images/stage2.img not found
Preupgrade failure: images/stage2.img not found
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2011-03-26 10:44 EDT by Ulrich Hobelmann
Modified: 2011-04-11 04:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2011-04-11 04:09:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ulrich Hobelmann 2011-03-26 10:44:15 EDT
Description of problem:
After rebooting, preupgrade does not find its install image and asks me (whatever file I'm supposed to point it to...). This is probably, because preupgrade fails with an exception (but sometimes still presents the "reboot computer now" button):

treeinfo Zeitstempel:Sat Mar 26 01:30:55 2011
/boot/upgrade/vmlinuz Prüfsumme OK
/boot/upgrade/initrd.img Prüfsumme OK
Traceback (most recent call last):
  File "/usr/share/preupgrade/preupgrade-gtk.py", line 797, in <module>
    widgets = PreUpgradeGtk()
  File "/usr/share/preupgrade/preupgrade-gtk.py", line 396, in __init__
  File "/usr/share/preupgrade/preupgrade-gtk.py", line 278, in _do_main
  File "/usr/share/preupgrade/preupgrade-gtk.py", line 500, in main_preupgrade
    stage2file = self.pu.retrieve_non_critical_files()
  File "/usr/lib/python2.7/site-packages/preupgrade/__init__.py", line 571, in retrieve_non_critical_files
    self._retrieve_file(self.mainimage, targetdir, reserve_space=extra_space)
  File "/usr/lib/python2.7/site-packages/preupgrade/__init__.py", line 479, in _retrieve_file
    self.instrepo._getFile(relative=fileinfo, local=local)
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 813, in _getFile
    raise Errors.NoMoreMirrorsRepoError, errstr
yum.Errors.NoMoreMirrorsRepoError: failure: images/stage2.img from preupgrade: [Errno 256] No more mirrors to try.

Version-Release number of selected component (if applicable):
Name        : preupgrade
Arch        : noarch
Version     : 1.1.8
Release     : 1.fc14

(I'm filing this bug on version 14, because the preupgrade already fails on the F14 host system, not only in the rebooted F15/preupgrade environment.)

How reproducible:
Run preupgrade on F14.

Expected results:
I'm expecting preupgrade to find all image files it needs, and after rebooting to find those files as well and upgrade my system.
Comment 1 Jan Vlug 2011-04-03 04:13:57 EDT
I'm confirming this issue.
Comment 2 Richard Hughes 2011-04-05 04:21:54 EDT
You need to use the 1.1.9 release to upgrade to F15.
Comment 3 Jan Vlug 2011-04-05 04:36:56 EDT
ok, but currently 1.1.8 is in the F14 repository...
Comment 4 Ulrich Hobelmann 2011-04-09 17:43:32 EDT
1.1.9 is available (at least in updates-testing) on F14 and preupgrade worked like a charm, so this bug can be closed, IMHO. (I'm leaving it open, as I don't see a RESOLVED option.)

Note You need to log in before you can comment on or make changes to this bug.